# Uses of Interface
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.IComputation

Packages that use IComputation
Package
Description
org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Uses of IComputation in org.eclipse.emf.compare.ide.ui.internal.logical.resolver

Methods in org.eclipse.emf.compare.ide.ui.internal.logical.resolver that return types with arguments of type IComputation
Modifier and Type
Method
Description
`protected com.google.common.base.Function<URI,IComputation<URI>>`
ModelsResolution.`resolveRemoteURI(ThreadSafeProgressMonitor tspm, SynchronizedResourceSet resourceSet)`
Provides a `Function` that converts a given URI into a Computation that can be run by a `ResourceComputationScheduler`.
Methods in org.eclipse.emf.compare.ide.ui.internal.logical.resolver with parameters of type IComputation
Modifier and Type
Method
Description
`boolean`
ResourceComputationScheduler.`scheduleComputation(IComputation<T> computation)`
Schedules a given computation to be performed as soon as possible, if its key is not present in the `ResourceComputationScheduler.computedKeys` or in the `ResourceComputationScheduler.currentlyComputing` keys, in which case the computation is ignored.
Method parameters in org.eclipse.emf.compare.ide.ui.internal.logical.resolver with type arguments of type IComputation
Modifier and Type
Method
Description
`void`
ResourceComputationScheduler.`computeAll(Iterable<? extends IComputation<T>> computations)`
Schedules all the given computations, which will only be run if no computation for the same key is in the `ResourceComputationScheduler.computedKeys` variable.